zabbix_export:
  version: '6.0'
  date: '2023-02-10T07:20:17Z'
  groups:
    -
      uuid: dc579cd7a1a34222933f24f52a68bcd8
      name: 'Linux servers'
  templates:
    -
      uuid: 56a22a3a084b43238701722c1aa6dab1
      template: bitninja
      name: bitninja
      groups:
        -
          name: 'Linux servers'
      items:
        -
          uuid: 012a29975c824eba98ce9d02a2efb5d0
          name: 'BitNinja Ipv6 Local Incident'
          type: DEPENDENT
          key: bitninja.bitninja6_local_incident
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.bitninja6_local_incident
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 8354c85958ad41818c55e54a42c219b0
          name: 'BitNinja Local Incident'
          type: DEPENDENT
          key: bitninja.bitninja_local_incident
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.bitninja_local_incident
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 6ef737ad6c3249ffa0ae38906af6d422
          name: 'BitNinja Heimdall ipv6 blacklist'
          type: DEPENDENT
          key: bitninja.heimdall6_blacklist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_blacklist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 9a0bf1e901b04fb9b00830e8ad7a4068
          name: 'BitNinja Heimdall ipv6 Blacklist Net'
          type: DEPENDENT
          key: bitninja.heimdall6_blacklist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_blacklist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 176be14cec8e43c3bf41b28db79bcc0e
          name: 'BitNinja Heimdall ipv6 essentiallist'
          type: DEPENDENT
          key: bitninja.heimdall6_essentiallist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_essentiallist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 4ddf3da7644d4658824a858100ff25f0
          name: 'BitNinja Heimdall ipv6 Greylist'
          type: DEPENDENT
          key: bitninja.heimdall6_greylist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_greylist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: f4e20a44184d417c9d5193fd06486d49
          name: 'BitNinja Heimdall ipv6 User Blacklist'
          type: DEPENDENT
          key: bitninja.heimdall6_user_blacklist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_user_blacklist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 5fb4450cfaa34e55971c59fa697e2489
          name: 'BitNinja Heimdall ipv6 User Blacklist Net'
          type: DEPENDENT
          key: bitninja.heimdall6_user_blacklist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_user_blacklist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 96ac9da677d942f19610f97d7ebb6f10
          name: 'BitNinja Heimdall ipv6 User Whitelist'
          type: DEPENDENT
          key: bitninja.heimdall6_user_whitelist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_user_whitelist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: c5b831fad489407b933d4bdb951c9a81
          name: 'BitNinja Heimdall ipv6 User Whitelist Net'
          type: DEPENDENT
          key: bitninja.heimdall6_user_whitelist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_user_whitelist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: cff78941507847eea0b53ee52dd1342c
          name: 'BitNinja Heimdall ipv6 Whitelist net'
          type: DEPENDENT
          key: bitninja.heimdall6_whitelist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall6_whitelist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 66c48df4ee564d68a01b81a8f28be46f
          name: 'BitNinja Heimdall blacklist'
          type: DEPENDENT
          key: bitninja.heimdall_blacklist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_blacklist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 7ad9b417e9d54b5f86c814269118e8e5
          name: 'BitNinja Heimdall Blacklist Net'
          type: DEPENDENT
          key: bitninja.heimdall_blacklist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_blacklist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 55feb82ca4c44624976549b90a25659d
          name: 'BitNinja Heimdall essentiallist'
          type: DEPENDENT
          key: bitninja.heimdall_essentiallist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_essentiallist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: a61a681689164eecb7cedfa1a8cb058c
          name: 'BitNinja Heimdall Greylist'
          type: DEPENDENT
          key: bitninja.heimdall_greylist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_greylist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 959abe428b1f46948aec47e11cf01ce6
          name: 'BitNinja Heimdall User Blacklist'
          type: DEPENDENT
          key: bitninja.heimdall_user_blacklist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_user_blacklist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: a592f002cc3642a7a75e84ea81743d84
          name: 'BitNinja Heimdall User Blacklist Net'
          type: DEPENDENT
          key: bitninja.heimdall_user_blacklist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_user_blacklist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: 34c7da0a72ec4decb3cf7bfabaa69f33
          name: 'BitNinja Heimdall User Whitelist'
          type: DEPENDENT
          key: bitninja.heimdall_user_whitelist
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_user_whitelist
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: d825663221c04af39e67a2854d172da1
          name: 'BitNinja Heimdall User Whitelist Net'
          type: DEPENDENT
          key: bitninja.heimdall_user_whitelist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_user_whitelist_net
          master_item:
            key: BitNinja.ipsetsizes
        -
          uuid: b2b8a654cdf14636b54254f17bedf566
          name: 'BitNinja incidents'
          type: DEPENDENT
          key: bitninja.incidents
          delay: '0'
          inventory_link: SOFTWARE
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.incidents
            -
              type: STR_REPLACE
              parameters:
                - 'null'
                - '0'
          master_item:
            key: bitninja.metrics
        -
          uuid: 19884066a95b48b5a16625a41616ebbb
          name: 'BitNinja ipsetSizes'
          type: DEPENDENT
          key: BitNinja.ipsetsizes
          delay: '0'
          trends: '0'
          value_type: TEXT
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.ipsetSizes
            -
              type: STR_REPLACE
              parameters:
                - '-'
                - _
          master_item:
            key: bitninja.metrics
        -
          uuid: c1eca417705f4115840bd05a2fb38d24
          name: 'bitninja metrics json'
          key: bitninja.metrics
          history: 1d
          trends: '0'
          value_type: TEXT
        -
          uuid: 8ea16337cd3a491ab2823e99c8f7cea9
          name: 'Bitninja quarantineDirSizeMbs'
          type: DEPENDENT
          key: bitninja.quarantinedirsizembs
          delay: '0'
          units: MB
          inventory_link: SOFTWARE_FULL
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.quarantineDirSizeMbs
            -
              type: STR_REPLACE
              parameters:
                - 'null'
                - '0'
          master_item:
            key: bitninja.metrics
        -
          uuid: d822301f0f0e43149224758e3d008a52
          name: 'BitNinja Heimdall Whitelist net'
          type: DEPENDENT
          key: bitninja.whitelist_net
          delay: '0'
          preprocessing:
            -
              type: JSONPATH
              parameters:
                - $.heimdall_whitelist_net
          master_item:
            key: BitNinja.ipsetsizes
      valuemaps:
        -
          uuid: b860aa691f1c41c98265d90bf7111180
          name: bitninja.metrics
          mappings:
            -
              value: heimdall-greylist
              newvalue: heimdall-greylist
  graphs:
    -
      uuid: eadf64fdc02145258dbe07f9a910bc18
      name: 'Bitninja IPv4 lists'
      graph_items:
        -
          color: 199C0D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_blacklist
        -
          sortorder: '1'
          color: F63100
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_blacklist_net
        -
          sortorder: '2'
          color: 2774A4
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_essentiallist
        -
          sortorder: '3'
          color: F7941D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_greylist
        -
          sortorder: '4'
          color: FC6EA3
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_user_blacklist
        -
          sortorder: '5'
          color: 6C59DC
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_user_blacklist_net
        -
          sortorder: '6'
          color: C7A72D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_user_whitelist
        -
          sortorder: '7'
          color: BA2A5D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall_user_whitelist_net
        -
          sortorder: '8'
          color: F230E0
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.whitelist_net
        -
          sortorder: '9'
          color: 5CCD18
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.bitninja_local_incident
    -
      uuid: 8d196d1fc47f4cca8e0db6f1de218400
      name: 'Bitninja IPv6 lists'
      graph_items:
        -
          color: 199C0D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_blacklist
        -
          sortorder: '1'
          color: F63100
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_blacklist_net
        -
          sortorder: '2'
          color: 2774A4
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_essentiallist
        -
          sortorder: '3'
          color: F7941D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_greylist
        -
          sortorder: '4'
          color: FC6EA3
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_user_blacklist
        -
          sortorder: '5'
          color: 6C59DC
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_user_blacklist_net
        -
          sortorder: '6'
          color: C7A72D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_user_whitelist
        -
          sortorder: '7'
          color: BA2A5D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_user_whitelist_net
        -
          sortorder: '8'
          color: F230E0
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.heimdall6_whitelist_net
        -
          sortorder: '9'
          color: 5CCD18
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.bitninja6_local_incident
    -
      uuid: 993e9e891b6c496192a613061f5df7ae
      name: 'Bitninja Quarantine DirSize'
      graph_items:
        -
          color: 199C0D
          calc_fnc: ALL
          item:
            host: bitninja
            key: bitninja.quarantinedirsizembs
